Bug 1127259 (CVE-2014-5251) - CVE-2014-5251 openstack-keystone: revocation events are broken with mysql
Summary: CVE-2014-5251 openstack-keystone: revocation events are broken with mysql
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2014-5251
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20140723,reported=2...
Depends On: 1131344 1131345
Blocks: 1127260
TreeView+ depends on / blocked
 
Reported: 2014-08-06 13:22 UTC by Vasyl Kaigorodov
Modified: 2019-06-08 20:08 UTC (History)
23 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
It was found that the MySQL token driver did not correctly store token expiration times, which prevented manual token revocation. Only OpenStack Identity setups configured to make use of revocation events were affected.
Clone Of:
Environment:
Last Closed: 2014-09-02 19:46:40 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:1121 normal SHIPPED_LIVE Low: openstack-keystone security and bug fix update 2014-09-02 21:58:31 UTC
Red Hat Product Errata RHSA-2014:1122 normal SHIPPED_LIVE Low: openstack-keystone security and bug fix update 2014-09-02 21:58:25 UTC

Description Vasyl Kaigorodov 2014-08-06 13:22:25 UTC
It was reported [1] that since mysql only stores timestamps with an accuracy of seconds rather than microseconds, doing comparisons of token expiration times will fail and tokens will not show up as being revoked.
CVE request has been sent to oss-security by upstream [2]

Upstream fix:
https://git.openstack.org/cgit/openstack/keystone/commit/?id=7aee6304f653475a4130dc3e5be602e91481f108

[1]: https://bugs.launchpad.net/keystone/+bug/1347961
[2]: http://seclists.org/oss-sec/2014/q3/296

Comment 2 Vasyl Kaigorodov 2014-08-06 14:18:03 UTC
It's stated in the Launchpad ticket that this would only impact Icehouse (openstack-2014.X) since that's where revocation events were added.

Comment 3 Garth Mollett 2014-08-15 05:36:04 UTC
Statement:

This issue does not affected openstack-keystone as shipped with Red Hat Enterprise Linux OpenStack Platform 4.0.

Comment 4 Garth Mollett 2014-08-15 05:39:56 UTC
Keystone in RHEL-OSP-5 (Icehouse) includes this code, although it is marked as experimental in Icehouse upstream, we do include an example of how to enable it in our documentation and thus will need to release an erratum.

Comment 6 Martin Prpič 2014-08-25 08:44:07 UTC
IssueDescription:

It was found that the MySQL token driver did not correctly store token expiration times, which prevented manual token revocation. Only OpenStack Identity setups configured to make use of revocation events were affected.

Comment 8 errata-xmlrpc 2014-09-02 17:59:00 UTC
This issue has been addressed in following products:

  OpenStack 5 for RHEL 6

Via RHSA-2014:1122 https://rhn.redhat.com/errata/RHSA-2014-1122.html

Comment 9 errata-xmlrpc 2014-09-02 17:59:22 UTC
This issue has been addressed in following products:

  OpenStack 5 for RHEL 7

Via RHSA-2014:1121 https://rhn.redhat.com/errata/RHSA-2014-1121.html


Note You need to log in before you can comment on or make changes to this bug.